body {
 padding-top: 70px;
 padding-bottom: 30px;
 font-size: 16px;
 font-family: 'Chiron Hei HK WS', 'Microsoft YaHei', 'Microsoft JhengHei', sans-serif;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
 font-weight: 400; /* override to maintain consistency with old Chrion font */
}

rt {
 user-select: none;
 -webkit-user-select: none;
}

.navbar {
    padding-top: 0;
    padding-bottom: 0;
}

.navbar-blu {
    background-color: #447 !important;
    background-image: none;
}

.navbar-blu .navbar-nav li a {
    color: #BBB;
}

.navbar-brand img {
    display: none;
}

.navbar-brand {
    background: url('/static/logo-white.png');
    display: block;
    width: 73px;
    height: 50px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

/* old bootstrap color themes */
a{color:#428bca;text-decoration:none}
a:hover,a:focus{color:#2a6496;text-decoration:underline}
a:focus{outline:thin dotted;outline:5px auto -webkit-focus-ring-color;outline-offset:-2px}

a:hover,a:focus .nav-link {
 text-decoration:none;
}

a.btn-sm:hover {
 text-decoration: inherit;
}

a.btn:hover {
 text-decoration: inherit;
}

a.btn-lg:hover {
 text-decoration: inherit;
}

/* Bootstrap 3 <pre> */
pre.old-pre {
    display: block;
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: 13px;
    line-height: 1.42857143;
    word-break: break-all;
    word-wrap: break-word;
    color: #333;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 4px;
}

/* Bootstrap 3 h* */
.old-h1,.old-h2,.old-h3,.old-h4 {
    margin-top: 20px;
}

.errorlist {
 float: right;
 font-weight: bold;
 color: red;
}

.page-content {
 line-height: 1.6em;
 margin-top: 10px;
}

.page-heading-right {
 float: right;
}

.page-footer {
 margin-top: 3em;
 text-align:center;
 font-size: 12px;
}

a.paginate-stop {
    visibility: hidden;
}

.table-compact > :not(caption) > * > * {
    padding: 2px;
}

.table-striped {
    --bs-table-striped-bg: rgba(0, 0, 0, 0.03);
}

.table {
    margin-bottom: 0;
}

/* 用黎一版show一個簡單訊息 */
div.only-message {
    left: 0;
    text-align: center;
    line-height: 1.2em;
    margin: auto;
    margin-top: -0.5em;
    position: absolute;
    top: 50%;
    width: 100%;
    padding: 0 2em;
}

/* https://stackoverflow.com/questions/67655096/bootstrap-5-form-group-form-row-form-inline */
.form-inline .form-control {
  display: inline-block;
  width: auto;
  vertical-align: middle;
}

.form-row {
  display: flex;
  flex-wrap: wrap;
  margin-right: -5px;
  margin-left: -5px;
}

/* workaround the inline block problem https://github.com/twbs/bootstrap/issues/10263 */
.visible-xs-inline {
    display: none;
}

table.zi-details span.small-supplement {
    display: none;
}

/* Large desktops and laptops */
@media (min-width: 1200px) {
    div.only-message {
        font-size: 36px;
    }
    .cantoquest-fixed {
        position: fixed;
    }
}

/* Portrait tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    div.only-message {
        font-size: 30px;
    }

    .cantoquest-fixed {
        position: fixed;
    }
}

/* Portrait tablets and small desktops */
@media (min-width: 768px) and (max-width: 991px) {
    div.only-message {
        font-size: 24px;
    }
}

div.narrow-only {
    display: none;
}

/* Landscape phones and portrait tablets */
@media (max-width: 767px) {
    div.only-message {
        font-size: 24px;
    }

    div.faiman-text {
        padding: 1em 0 0 0 !important;
        font-size: 16px !important;
    }

    div.narrow-only {
        display: block;
    }

    div.wide-only {
        display: none !important;
    }

    form.wide-only {
        display: none !important;
    }
}

/* Landscape phones and smaller */
@media (max-width: 480px) {
    div.only-message {
        font-size: 24px;
    }

    table.zi-details td:first-child {
        display: none;
    }

    table.zi-details span.small-supplement {
        display: inline !important;
        font-style: italic;
    }

    .visible-xs-inline {
        display: inline !important;
    }
    .navbar {
        font-size: 13px !important;
    }
    .navbar div.container-lg {
        padding: 0 !important;
    }
    .nav-link {
        padding: 0.3em !important;
        white-space: nowrap;
    }
    .page-login {
        white-space: nowrap;
    }
    .navbar-brand {
        margin-right: 0.5em;
    }
    .page-login a {
        margin: 0.2em;
    }
}

div.faiman {
    padding: 1em 1em 0 1em;
    background-color: #f0f3f8;
    border: 1px solid #ddd;
    margin-bottom: 1em;
    font-size: 15px;
}

div.faiman-title {
    font-weight: bold;
    font-size: 22px;
    margin-bottom: 0.3em;
}

div.faiman-actions {
    float: right;
}

span.faiman-unpublished {
    color: #888;
}

div.faiman-text {
    padding: 1em 0.5em 0 0.5em;
    line-height: 1.8em;
    font-size: 24px;
    font-weight: 300;
}

div.faiman-wordcount {
    padding: 1em 0.5em 0 0.5em;
    line-height: 1.8em;
    font-size: 14px;
    text-align: right;
}

div.faiman-notes {
    padding: 1em 0.5em 0 0.5em;
    line-height: 1.8em;
    font-size: 14px;
    font-style: italic;
}

div.faiman-text p {
    margin: 0 0 1.5em 0;
}

.faiman-edit input[type=text] {
    width: 100%;
}

.faiman-edit textarea {
    width: 100%;
}

.faiman-edit table {
    width: 100%;
}

.faiman-edit td {
    padding: 3px;
}

div.faiman-edit {
    margin-top: 1em;
}

div.faiman-copyright {
    font-size: 12px;
    text-align: center;
    margin-top: 2em;
    margin-bottom: 2em;
}

span.faiman-search-highlight {
    background-color: #EEC;
}

iframe.zi-ref {
 display: block;
 width: 100%;
 height: 400px;
 margin-bottom: 1em;
}

div.zi-ref {
 display: none;
}

div.zi-publish {
 margin: 1em 0;
}

div.zi-explanation-not-formatted {
 font-style: italic;
 color: #a44;
}

div.paginate {
    width: 100%;
    margin-top: 1em;
}

.paginate-previous {
    float: left;
}

a.word-anchor {
    display: block;
    position: relative;
    top: -60px;
    visibility: hidden;
}

.paginate-next {
    float: right;
}

div.zi-actions {
    text-align: right;
}

table.zi-details img.ref {
}

table.zi-details thead td:first-child {
    font-size: 12px;
    color: #777;
    text-align: left;
}

div.report-problem {
    font-size: 12px;
    color: #777;
    text-align: right;
}

table.zi-details tr .review-word {
    font-size: 11px;
    color: #666;
    text-align: right;
}

div.report-problem span {
    color: #933;
}

div.report-problem a {
    color: #777;
}

table.zi-details tbody td:first-child {
    width: 4.5em;
    text-align: right;
    white-space: nowrap;
}

table.zi-details tr td {
    max-width: 100%;
    word-break: break-word;
}

.index-logxxx-button {
    text-align: center;
}

.editor-only {
    font-style: italic;
    color: #C99;
}

table.zi-list td:first-child {
    min-width: 5em;
    max-width: 100%;
    width: 8em;
    word-break: break-all;
}

div.zi-unpublished-count {
    text-align: center;
    font-size: 14px;
    font-style: italic;
    color: #888;
}

span.zi-pronunciation {
    font-style: italic;
}

div.zi-details-phrase-heading {
    margin-top: 1em;
    font-weight: bold;
    margin-bottom: -0.2em;
}

div.zi-details-phrase-item {
    padding-top: 0.5em;
}

div.zi-details-example-heading {
    margin-top: 1em;
    font-weight: bold;
    margin-bottom: -0.2em;
}

div.zi-details-example-item {
    padding-top: 0.5em;
}

div.zi-details-phrase-item ruby {
 font-size: 20px;
 ruby-align: center;
}

div.zi-details-phrase-item rt {
 color: #777;
 ruby-align: center;
 margin: 0.1em;
 font-style: italic;
}

div.zi-details-example-item ruby {
 font-size: 20px;
 ruby-align: center;
}

div.zi-details-example-item rt {
 color: #777;
 ruby-align: center;
 margin: 0.1em;
 font-style: italic;
}

.zi-item rt {
 font-style: italic;
 color: #777;
}
.zi-item rb {
 letter-spacing: 0.15em;
}

span.zi-item-lang {
    color: #888;
    font-style: italic;
}

span.zi-item-phrase-pronunciation {
    color: #777;
    font-style: italic;
}

span.zi-item-example-pronunciation {
    color: #777;
    font-style: italic;
}

div.zi-modal-plaintext {
    margin-top: 1em;
    font-size: 12px;
    line-height: 1.2em;
}
div.zi-modal-plaintext-word-label {
    font-weight: bold;
    font-size: 14px;
}
div.zi-modal-plaintext-word-definition {
    margin-bottom: 1em;
    margin-top: 0.3em;
}

div.zi-disable-ruby-text #zi-disable-ruby-text-checkbox {
    margin: 0 0.2em;
}
div.zi-disable-ruby-text {
    background-color: #EEF;
    padding: 0 0.3em;
    border: 1px solid #DDD;
}

tr.zi-history-log div {
 max-height: 10em;
 overflow: auto;
 font-size: 10px;
 color: #666;
 line-height: 1.1;
 /* CSS3 new stuff, just helps utilize space a bit more, not necessary */
 -webkit-column-count: 3;
 -moz-column-count:3;
 column-count:3;
}

form.zi-detail-search {
 margin: 1em 1em 1em 1em;
}
form.zi-detail-search input {
 /* To add a space between the button and the text */
 margin-top: 0.5em;
}

tr.zidin-see-also td {
 word-spacing: 0.25em;
}

div.zi-report-problem {
 font-size: 12px;
 background-color: #EEE;
 padding: 10px;
 border: 1px solid #CCC;
 max-width: 400px;
 margin-bottom: 20px;
 display: none;
}

div.zi-report-problem form {
 display: inline;
}

div.zi-report-problem th {
 padding-right: 1em;
}

div.zi-report-problem tr,th {
 vertical-align: top;
}

div.zi-report-problem textarea {
 max-height: 6em;
 width: 200px;
 font-size: 12px;
 margin: 1px;
}

div.zi-report-problem input[type=submit] {
 font-size: 10px;
 float: right;
}

tr.zi-problems div.zi-problem-item {
 margin-bottom: 1em;
 font-size: 12px;
}

tr.zi-problems span.zi-problem-kind {
 font-style: italic;
}

tr.zi-problems span.zi-problem-created {
 font-style: italic;
 color: #aaa;
 font-size: 10px;
}

tr.zi-problems span.zi-problem-assignee {
 font-style: italic;
 color: #777;
}

tr.zi-problems span.zi-problem-reporter {
 font-style: italic;
 color: #777;
 font-size: 10px;
}

tr.zi-problems input[type=submit] {
 float: right;
 font-size: 10px;
 padding: 3px;
}

table.problem-list td.problem-kind {
 font-style: italic;
}

table.problem-list td.problem-details {
 font-size: 11px;
}

table.problem-list {
 font-size: 14px;
}

table.problem-list th {
 white-space: nowrap;
}

div.problem-assignee-label {
 cursor: pointer;
}

/* https://developers.facebook.com/docs/facebook-login/userexperience#buttondesign */
.btn-facebook {
 background-color: #1877F2;
 color: #FFF;
 font-weight: bold;
 font-size: 12px;
 text-decoration: none;
}

.btn-facebook:hover, .btn-facebook:focus {
 color: #f8f8f8;
 text-decoration: none;
}

div.cantoquest {
 margin: 3em 3em 1em 3em;
 border-style: solid;
 border-width: 1px;
 border-color: #BBB;
 font-size: 13px;
 opacity: 0;
 max-width: 300px;
}


div.cantoquest .cantoquest-heading {
 text-align: center;
 font-weight: bold;
 background-color: #FCB;
 padding: 2px;
}

div.cantoquest .cantoquest-body {
 padding: 0.5em;
}

div.hbl-scale-title {
 font-style: italic;
 text-decoration: underline;
 margin-top: 1em;
}

img.searchimg {
    height: 200px;
    margin-bottom: 5px;
}

table.daily {
    font-size: 18px;
    margin-top: 2em;
    max-width: 400px;
    text-align: center;
    border-radius: 10px;
    background-color: #F4F4F4;
}

table.daily tr:first-child {
    color: #FFF;
}

table.daily tr:first-child th {
    background-color: #606870;
    padding: 3px;
    border-radius: 10px 10px 0 0;
}

table.daily td {
    text-align: left;
    padding: 0.5em;
}

a.daily-more {
    float: right;
    font-size: 14px;
    padding-top: 1em;
}
